For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Position

Update TP, SL, and related position settings on PointPay Exchange.

Details

POST https://api.pointpay.io/fapi/v1/private/trade/update-position

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Request Body

Name
Type
Description
Example

symbol*

STRING

Trading pair

BTCUSDT

tpslMode*

STRING

TP/SL mode. Available values: Full, Partial

Full

positionIdx*

INTEGER

Position index. Available values: - 0: one-way mode - 1: hedge-mode Buy side - 2: hedge-mode Sell side

0

takeProfit

NUMERIC

Take-profit price

68000

stopLoss

NUMERIC

Stop-loss price

62000

trailingStop

NUMERIC

Trailing stop value

150

tpTriggerBy

STRING

Take-profit trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

slTriggerBy

STRING

Stop-loss trigger source. Available values: LastPrice, IndexPrice, MarkPrice

MarkPrice

activePrice

NUMERIC

Active price for trailing stop

64500

tpSize

NUMERIC

Take-profit size

0.01

slSize

NUMERIC

Stop-loss size

0.01

tpLimitPrice

NUMERIC

Take-profit limit price

67950

slLimitPrice

NUMERIC

Stop-loss limit price

62050

tpOrderType

STRING

Take-profit order type. Available values: Market, Limit

Limit

slOrderType

STRING

Stop-loss order type. Available values: Market, Limit

Market

Fields marked with * are required.

CURL Example

Empty array returned when the request succeeds

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated